Skip to main content
GET
Get Period Task Review

Authorizations

Authorization
string
header
required

Quanta Services API scoped bearer token. Supported only on Services API routes.

Query Parameters

workbook_period_qid
string
required

Response

Successful Response

occurrence_qid
string
required
leaf_key
string
required
leaf_version_qid
string
required
title
string
required
enabled
boolean
required
stage
enum<string>
required
Available options:
RECONCILIATIONS,
MANUAL_TASKS,
REVIEWS,
FINAL_REVIEW
display_order
integer | null
required
schedule_type
enum<string>
required
Available options:
MANUAL,
PERIOD_END_OFFSET
schedule_offset_days
integer | null
required
auto_run
boolean
required
state
enum<string>
required
Available options:
UPCOMING,
READY,
RUNNING,
NEEDS_REVIEW,
BLOCKED,
FAILED,
COMPLETE
due_at
string<date-time> | null
required
done_at
string<date-time> | null
required
latest_run_qid
string | null
required
run_count
integer
required
open_action_count
integer
required
latest_run_status
enum<string> | null
required
Available options:
PREPARING,
RUNNING,
NEEDS_ATTENTION,
COMPLETED,
FAILED,
INTERRUPTED
latest_run_error
string | null
required
review_items
TaskReviewItemResponse · object[]
required